%define upstream_name    Plack-Middleware-Cached
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module can be used to glue a cache to a the PSGI manpage applications
or middleware. A *cache* is an object that provides at least two methods to
get and set data, based on a key. Existing cache modules on CPAN include
the CHI manpage, the Cache manpage, and the Cache::Cache manpage.
Plack::Middleware::Cached is put in front of a PSGI application as
middleware. Given a request in form of a PSGI environment E, it either
returns the matching response R from its cache, or it passed the request to
the wrapped application, and stores the application's response in the
cache:

                      ________          _____
    Request  ===E===>|        |---E--->|     |
                     | Cached |        | App |
    Response <==R====|________|<--R----|_____|

In most cases, only a part of the environment E is relevant to the request.
This relevant part is called the caching *key*. By default, the key is set
to the value of REQUEST_URI from the environment E.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1032086
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 943538
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 748259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 685976
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 587316
- update to 0.15

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 514119
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 371825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.130.0-1.mga3
+ Revision: 288508
- update to 0.13

  + jquelin <jquelin>
    - update to 0.12

* Thu Jun 30 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 116577
- imported package perl-Plack-Middleware-Cached


* Thu Jun 30 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
